#' Summary of the listcompr Package
#' 
#' The listcompr package offers some syntactic shortcuts to create lists, vectors and data frames containing values within a given range with given conditions.
#' It is a light-weight package written in base R without any compiled code or dependencies to other packages.
#' 
#' @section Functions:
#' 
#' \itemize{
#' \item The main functionality of listcompr: generate lists (\code{\link{gen.list}}), vectors, and data frames.
#' \item Generate lists/vectors of characters (\code{\link{gen.list.char}}) and named lists, vectors, and data frames.
#' \item Generate expressions (\code{\link{gen.list.expr}}) containing lists and vectors, using helpers for conditions (\code{\link{gen.logical.and}}).
#' }
#' 
#' @section Vignettes:
#' 
#' To learn the basics of listcompr, start with the vignette:
#' 
#' \code{vignette("introduction", package = "listcompr")}
#' 
#' @section Contact:
#' 
#' To submit bugs, feature requests or other comments, feel free to write a mail to me.
#' 
#' @author Patrick Roocks, \email{mail@@p-roocks.de}
#'
#' @docType package
#' @name listcompr
NULL
